advanced:
  - name    : spacing_fields_group
    label   : Element Style
    type    : fields-group
    status  : open
    schema  :
      - name  : margin
        type  : dimensions
        units: %, px, em, rem, vh

      - name  : padding
        type  : dimensions
        units: %, px, em, rem, vh
      
      - name  : zindex
        label : Z-Index
        type  : slider
        value : 0
        min   : -999
        max   : 999
        step  : 1
        units : false
        responsive : false
        
  - name : background_fields_group
    label: Background
    type: fields-group
    schema:
      - name: background
        type: background
  
  - name : border_fields_group
    label: Border & Box Shadow
    type: fields-group
    schema:
      - name: border
        type: border
  
  - name : animation_fields_group
    label: Animation
    type: fields-group
    schema:
      - name: animation
        label: Entrance Animation
        type: select
        value: none
        options:
          none : None
          qx-animation-fade : Fade In
          qx-animation-scale-up : Scale Up
          qx-animation-scale-down : Scale Down
          qx-animation-slide-top-small : Slide Top Small
          qx-animation-slide-bottom-small : Slide Bottom Small
          qx-animation-slide-left-small : Slide Left Small
          qx-animation-slide-right-small : Slide Right Small
          qx-animation-slide-top-medium : Slide Top Medium
          qx-animation-slide-bottom-medium : Slide Bottom Medium
          qx-animation-slide-left-medium : Slide Left Medium
          qx-animation-slide-right-medium : Slide Right Medium
          qx-animation-slide-top : Slide Top 100%
          qx-animation-slide-bottom : Slide Bottom 100%
          qx-animation-slide-left : Slide Left 100%
          qx-animation-slide-right : Slide Right 100%

      - name: animation_repeat
        label: Animation Repeat
        type: switch
        help: Applies animation every time the element is in view
      
      - name: animation_delay
        label: Animation Delay
        type: slider
        max: 10000
        step: 100
        units: ms
        defaultUnit: ms
        responsive: false
        help: Delay time in ms

  - name: custom_css_group
    label: Custom CSS
    type: fields-group
    schema:
      - name: custom_css
        label: Css Code
        type: code
        
  - name: identifier
    type: fields-group
    schema:
      - name : label
        type: note
        
      - name: id
        label: Css ID
        help: Add your custom ID WITHOUT the '#'. eg - my-id

      - name: class
        label: Css Classs
        help: Add your custom classes WITHOUT the dot and seperate by space. eg - first-class another-class
